# Develop with Open-Interpreter

## Introduction

Open Interpreter lets language models run code. We made it so that agent applications developed with Open Interpreter can run on AIOS by adding just one line of code.

## Quick Start

For installation and usage of open-interpreter, please refer to [Open Interpreter](https://docs.openinterpreter.com/getting-started/introduction).

If you want to run an application developed with open-interpreter on AIOS, please add `prepare_interpreter()` before you use open-interpreter, and select a framework type through `FrameworkType`. When you want to use Open-Interpreter, you should use `FrameworkType.OpenInterpreter`.

Then nothing needs to change, use interpreter as usual.

```
+ with aios_starter(**vars(args)):

+     prepare_framework(FrameworkType.OpenInterpreter)

      interpreter.chat("In a group of 23 people, the probability of at least two having the same birthday is greater "
                     "than 50%")
```

More examples can be found in <https://github.com/agiresearch/AIOS/tree/main/scripts/aios-interpreter>[.](https://github.com/agiresearch/Cerebrum/blob/main/cerebrum/community/adapter/interpreter_adapter.py)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aios.foundation/aios-docs/aios-agent/how-to-develop-agents/develop-with-open-interpreter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
